Resource
Violations
Parking and camera violations imported from city APIs. Attach to a customer to bill.
The violation object
idstring (uuid) | Unique identifier. |
objectstring | Always `"violation"`. |
vehicle_idstring (uuid) | Vehicle the violation was issued to. |
customer_idstring (uuid) | Customer to bill. |
platestring | License plate. |
summons_numberstring | Citation number. |
fine_amountnumber | Fine amount. |
amount_duenumber | Outstanding balance. |
issuing_agency_namestring | Issuing agency. |
Webhook events
Subscribe to receive notifications when violation resources change:
violation.attachedEndpoints
GET
/v1/violationsscope: readList violations
Query parameters
vehiclestring | Filter by vehicle. |
customerstring | Filter by customer. |
Request
curl -X GET 'https://userenvo.com/api/v1/violations' \
-H 'Authorization: Bearer rv_live_…'Response
{
"object": "list",
"has_more": false,
"next_cursor": null,
"data": [
{
"object": "violation",
"id": "vi_…",
"summons_number": "8765432",
"amount_due": 115
}
]
}GET
/v1/violations/{id}scope: readRetrieve a violation
Path parameters
idrequiredstring | Violation id. |
Request
curl -X GET 'https://userenvo.com/api/v1/violations/a4d2e1c0-9b…' \
-H 'Authorization: Bearer rv_live_…'Response
{
"object": "violation",
"id": "vi_…",
"amount_due": 115
}PATCH
/v1/violations/{id}scope: read_writeAttach violation to customer
Path parameters
idrequiredstring | Violation id. |
Body parameters
customer_idstring | Customer to bill. |
Request
curl -X PATCH 'https://userenvo.com/api/v1/violations/a4d2e1c0-9b…' \
-H 'Authorization: Bearer rv_live_…' \
-H 'Content-Type: application/json' \
-d '{
"customer_id": "<customer_id>"
}'Response
{
"object": "violation",
"id": "vi_…",
"customer_id": "cu_…"
}